MODEL
MODEL_VERSION "v1998.8";
DESIGN "eth";

/* port names and type */
INPUT PIN71 = ppc3;
INPUT PIN10 = V_done;
INPUT PIN77 = ppd0;
INPUT PIN97 = ledlb;
INPUT PIN99 = ledcb;
INPUT PIN96 = ledtb;
INPUT PIN95 = ledrb;
INPUT PIN1 = ledsb;
INPUT PIN16 = V_a0;
INPUT PIN17 = V_a1;
INPUT PIN18 = V_a2;
INPUT PIN19 = V_a3;
INPUT PIN9 = V_initb;
INPUT PIN79 = ppc0;
INPUT PIN78 = ppc1;
INPUT PIN74 = ppd1;
INPUT PIN72 = ppd2;
INPUT PIN70 = ppd3;
INPUT PIN68 = ppd4;
INPUT PIN67 = ppd5;
INPUT PIN66 = ppd6;
INPUT PIN65 = ppd7;
OUTPUT PIN32 = V_d0;
OUTPUT PIN41 = bar9;
OUTPUT PIN43 = bar8;
OUTPUT PIN42 = bar7;
OUTPUT PIN49 = bar6;
OUTPUT PIN30 = bar5;
OUTPUT PIN76 = pps3;
OUTPUT PIN60 = pps4;
OUTPUT PIN61 = pps5;
OUTPUT PIN64 = pps6;
OUTPUT PIN3 = resetb;
OUTPUT PIN24 = bar0;
OUTPUT PIN25 = bar1;
OUTPUT PIN11 = V_progb;
OUTPUT PIN12 = V_cclk;
OUTPUT PIN33 = V_d1;
OUTPUT PIN34 = V_d2;
OUTPUT PIN35 = V_d3;
OUTPUT PIN36 = V_d4;
OUTPUT PIN37 = V_d5;
OUTPUT PIN39 = V_d6;
OUTPUT PIN40 = V_d7;
OUTPUT PIN15 = V_m2;
OUTPUT PIN14 = V_m1;
OUTPUT PIN13 = V_m0;
OUTPUT PIN46 = ceb;
OUTPUT PIN86 = mf4;
OUTPUT PIN91 = mf0;
OUTPUT PIN2 = cfg1;
OUTPUT PIN4 = V_tck;
OUTPUT PIN87 = mf3;
OUTPUT PIN89 = mf2;
OUTPUT PIN90 = mf1;
OUTPUT PIN93 = cfg0;
OUTPUT PIN94 = mddis;
OUTPUT PIN92 = fde;

/* timing arc definitions */
ppc1_V_cclk_delay: DELAY ppc1 V_cclk;
V_done_V_d0_delay: DELAY V_done V_d0;
ppd0_V_d0_delay: DELAY ppd0 V_d0;
ppc3_V_d0_delay: DELAY ppc3 V_d0;
ppd1_V_d1_delay: DELAY ppd1 V_d1;
ppd2_V_d2_delay: DELAY ppd2 V_d2;
ppd3_V_d3_delay: DELAY ppd3 V_d3;
ppd4_V_d4_delay: DELAY ppd4 V_d4;
ppd5_V_d5_delay: DELAY ppd5 V_d5;
ppd6_V_d6_delay: DELAY ppd6 V_d6;
ppd7_V_d7_delay: DELAY ppd7 V_d7;
ppc0_V_progb_delay: DELAY ppc0 V_progb;
V_done_bar0_delay: DELAY V_done bar0;
V_initb_bar1_delay: DELAY V_initb bar1;
ledsb_bar5_delay: DELAY ledsb bar5;
ledrb_bar6_delay: DELAY ledrb bar6;
ledtb_bar7_delay: DELAY ledtb bar7;
ledcb_bar8_delay: DELAY ledcb bar8;
ledlb_bar9_delay: DELAY ledlb bar9;
V_a0_pps3_delay: DELAY V_a0 pps3;
V_a1_pps4_delay: DELAY V_a1 pps4;
V_a2_pps5_delay: DELAY V_a2 pps5;
V_a3_pps6_delay: DELAY V_a3 pps6;
V_done_resetb_delay: DELAY V_done resetb;

/* timing check arc definitions */

ENDMODEL
